package jp.adlantis.android.sample;

import jp.adlantis.android.AdRequestNotifier;
import jp.adlantis.android.AdlantisIconAdSet;
import jp.adlantis.android.AdlantisIconView;
import jp.adlantis.android.IconAdListener;
import android.os.Bundle;
import android.app.Activity;
import android.view.Menu;
import android.widget.LinearLayout;
import android.widget.LinearLayout.LayoutParams;

public class IconAdActivity extends Activity implements IconAdListener {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_icon_ad);

        // craete icon ads by layout
        addIconAdsByLayout();

        // create icon ads programmatically
        addIconAdsProgrammatically();
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.icon_ad, menu);
        return true;
    }

    public void addIconAdsByLayout() {

        AdlantisIconView adView1 = (AdlantisIconView) findViewById(R.id.iconAdView1);
        AdlantisIconView adView2 = (AdlantisIconView) findViewById(R.id.iconAdView2);
        AdlantisIconAdSet set = new AdlantisIconAdSet(this, "Mjc3NzE%3D%0A");
        set.addRequestListener(this);
        set.add(adView1);
        set.add(adView2);
        set.load();
    }

    public void addIconAdsProgrammatically() {
        LinearLayout ll = (LinearLayout) findViewById(R.id.icon_ad_linear_layout_code);

        LinearLayout.LayoutParams llp = new LinearLayout.LayoutParams(
                LayoutParams.WRAP_CONTENT, LayoutParams.WRAP_CONTENT);
        llp.setMargins(10, 20, 0, 0);

        LinearLayout.LayoutParams llp2 = new LinearLayout.LayoutParams(
                AdlantisIconView.getTextIconWidth(this), AdlantisIconView.getTextIconHeight(this));
        llp2.setMargins(10, 20, 0, 0);

        AdlantisIconView adView1 = new AdlantisIconView(this);
        AdlantisIconView adView2 = new AdlantisIconView(this);

        ll.addView(adView1, llp);
        ll.addView(adView2, llp2);

        AdlantisIconAdSet set = new AdlantisIconAdSet(this, "Mjc3NzE%3D%0A");
        set.addRequestListener(this);
        set.add(adView1);
        set.add(adView2);
        set.load();
    }

    @Override
    public void onFailedToReceiveAd(AdRequestNotifier adRequestNotifier) {
    }

    @Override
    public void onReceiveAd(AdRequestNotifier adRequestNotifier) {
    }

    @Override
    public void onTouchAd(AdRequestNotifier adRequestNotifier) {
    }

    @Override
    public void onReceiveAd(AdRequestNotifier adRequestNotifier, int adCount) {
    }

}
